%! Author = jeremy
%! Date = 2020-04-14

% Preamble
\documentclass[11pt]{article}

% Packages
\usepackage{amsmath, fullpage, graphicx}
\usepackage{booktabs}
\usepackage[affil-it]{authblk}
\usepackage[super]{natbib}
\usepackage[section]{placeins}
\usepackage[font=small,labelfont=bf]{caption}
\usepackage{xr}
\usepackage{standalone}
\usepackage{longtable}
\usepackage{graphicx}


\externaldocument{main}

% Force a prefix to the figure and table captions
\renewcommand{\figurename}{Supplementary Figure}
\renewcommand{\tablename}{Supplementary Table}

% Document
\begin{document}

    % title page
    \title{Supplementary Materials}
    \author{Jeremiah H.\ Li, Chase.\ A Mazur, Tomaz Berisa, Joseph K.\ Pickrell}
    \affil{Gencove Inc.}
    \date{\today}
    \maketitle

    \newpage

    % Tables
    \section{Supplementary Tables}

    \newpage

    % Sample breakdown by population
    \begin{table}
        \begin{center}
            \input{tabs/sample-pops.tex}
        \end{center}
        \caption{Number of unique cell lines assayed from each population for the EUR and AFR super populations.}
        \label{supptab:sample-pops}
    \end{table}

    % Sample breakdown by experiment with information on number passing QC, etc.
    \begin{table}
        \begin{center}
            \begin{tabular}{crrrrrr}
                \toprule
                Experiment & Samples & Passing QC & Unique EUR & Unique AFR & Mapped coverage & Eff.\ Coverage \\
                \midrule
                A & 360 & 351 & 60 & 60 & 0.668$\pm$0.318 & $0.412\pm0.188$\\
                B & 360 & 350 & 60 & 60 & 1.248$\pm$0.263 & $0.717\pm0.180$\\
                C & 30 & 30 & 1 & 0 & 1.201$\pm$0.289 & $0.526\pm0.112$\\
                D & 60 & 58 & 30 & 30 & 1.260$\pm$0.0892 & $1.240\pm 0.106$\\
                E & 360 & 358 & 60 & 60 & NA & NA\\
                \bottomrule
            \end{tabular}
        \end{center}
        \caption{Breakdown of experiments conducted as described in main text.\ For experiments A, B, and E, 120 unique cell lines were run in triplicate.\ For experiment C, NA12878 was run 30x in replicate.\ For experiment C, a subset of 30 for each superpopulation was run once.\ Mapped coverage was computed as the number of mapped bases divided by $3.3\mathrm{e}9$.\ Coverage is reported as the mean $\pm$ standard deviation.}
        \label{supptab:sample-experiment-breakdown}
    \end{table}

    % number of samples passing QC for each cell line for each experiment
    % label here is baked into the tex file: \label{tab:supptab:samples-passing-qc}
    \input{tabs/samples-passing-qc.tex}

    % table of mean and std of mapped and eff cov for representative cohort for each experiment
    \begin{table}
        \begin{center}
%            \begin{tabular}{llrrr}
%                \toprule
%                \multicolumn{2}{c}{ } & \multicolumn{3}{c}{Experiment} \\
%                \cmidrule(l{3pt}r{3pt}){3-5}
%                Coverage & Super Pop. & A & B & D\\
%                \midrule
%                Nominal & AFR & $0.6409150\pm0.11745997$ & $1.2459427\pm0.24100086$ & $1.2564230\pm0.08498687$ \\
%                Nominal & EUR & $0.7280792\pm0.51483707$ & $1.2149407\pm0.17149908$ & $1.2641167\pm0.09484703$ \\
%                Effective & AFR & $0.3711961\pm0.08585635$ & $0.6690530\pm0.16714982$ & $1.2362189\pm0.08771836$\\
%                Effective & EUR & $0.4739798\pm0.29770421$ & $0.7507368\pm0.15740140$ & $1.2345972\pm0.12378594$\\
%                \bottomrule
%            \end{tabular}
            \begin{tabular}{llrrr}
                \toprule
                \multicolumn{2}{c}{ } & \multicolumn{3}{c}{Experiment} \\
                \cmidrule(l{3pt}r{3pt}){3-5}
                Coverage & Super Pop. & A & B & D\\
                \midrule
                Nominal & AFR & $0.6409\pm0.1175$ & $1.246\pm0.2410$ & $1.256\pm0.08499$ \\
                Nominal & EUR & $0.7281\pm0.5148$ & $1.215\pm0.1715$ & $1.264\pm0.09485$ \\
                Effective & AFR & $0.3712\pm0.08586$ & $0.6691\pm0.1672$ & $1.236\pm0.08772$\\
                Effective & EUR & $0.4740\pm0.2977$ & $0.7507\pm0.1574$ & $1.235\pm0.1238$\\
                \bottomrule
            \end{tabular}
            \caption{Nominal and effective coverages (each cell is the mean $\pm$ standard deviation) of the representative cohorts for each superpopulation for each experiment.}
            \label{supptab:representative-sample-coverage}
        \end{center}
    \end{table}

    % Concordances broken down every which way
    % NRC
    \begin{table}

        \begin{center}
            \small
            \input{tabs/filtered-snps-mean-nrc.tex}
        \end{center}
        \caption{Mean and interquartile range (in parentheses) NRC for filtered SNPs by experiment and super population.}
        \label{supptab:filtered-snps-mean-nrc}
    \end{table}

    \begin{table}

        \begin{center}
            \small
            \input{tabs/unfiltered-indels-mean-nrc.tex}
        \end{center}
        \caption{Mean and interquartile range (in parentheses) NRC for unfiltered indels by experiment and super population.}
        \label{supptab:unfiltered-indels-mean-nrc}
    \end{table}

    \begin{table}

        \begin{center}
            \small
            \input{tabs/filtered-indels-mean-nrc.tex}
        \end{center}
        \caption{Mean and interquartile range (in parentheses) NRC for filtered indels by experiment and super population.}
        \label{supptab:filtered-indels-mean-nrc}
    \end{table}

    % Overall concordance, or ``oconc''
    \begin{table}

        \begin{center}
            \small
            \input{tabs/unfiltered-snps-mean-oconc.tex}
        \end{center}
        \caption{Mean and interquartile range (in parentheses) overall concordance for unfiltered SNPs by experiment and super population.}
        \label{supptab:unfiltered-snps-mean-oconc}
    \end{table}

    \begin{table}

        \begin{center}
            \small
            \input{tabs/filtered-snps-mean-oconc.tex}
        \end{center}
        \caption{Mean and interquartile range (in parentheses) overall concordance for filtered SNPs by experiment and super population.}
        \label{supptab:filtered-snps-mean-oconc}
    \end{table}

    \begin{table}

        \begin{center}
            \small
            \input{tabs/unfiltered-indels-mean-oconc.tex}
        \end{center}
        \caption{Mean and interquartile range (in parentheses) overall concordance for unfiltered indels by experiment and super population.}
        \label{supptab:unfiltered-indels-mean-oconc}
    \end{table}

    \begin{table}

        \begin{center}
            \small
            \input{tabs/filtered-indels-mean-oconc.tex}
        \end{center}
        \caption{Mean and interquartile range (in parentheses) overall concordance for filtered indels by experiment and super population.}
        \label{supptab:filtered-indels-mean-oconc}
    \end{table}

    % NRC by nraf for unfiltered snps for afr and eur
    \begin{table}
        \small
        \begin{center}
            \input{tabs/unfiltered-snp-nrc-by-nraf.tex}
        \end{center}
        \caption{Mean non-reference concordance by minor allele frequency bin in 1KGP3 for EUR and AFR cohorts by experiment.\ The values in the Minor Allele Frequency column denote the midpoint of the respective bin.\ These are the values plotted in Figure \ref{fig:unfiltered-snp-nrc-by-nraf}}
        \label{supptab:unfiltered-snp-nrc-by-nraf}
    \end{table}

    % mean r2s
    \begin{table}
        \begin{center}
            \input{tabs/r2-by-maf-afr.tex}
        \end{center}
        \caption{Mean $r^2$s by minor allele frequency bin in 1KGP3 for the AFR cohort by experiment.\ The values in the Minor Allele Frequency column denote the midpoint of the respective bin.\ The bin edges are therefore at 0, 0.01, 0.02, 0.03, 0.04, 0.05, 0.06, 0.07, 0.08, 0.09, 0.1, 0.15, 0.2, 0.25, 0.5.\ These are the values plotted in the left pane of Figure \ref{fig:r2-linearscale}.}
        \label{supptab:r2-by-maf-afr}
    \end{table}

    \begin{table}
        \begin{center}
            \input{tabs/r2-by-maf-eur.tex}
        \end{center}
        \caption{Mean $r^2$s by minor allele frequency in 1KGP3 for the EUR cohort by experiment.\ The values in the Minor Allele Frequency column denote the midpoint of the respective bin.\ The bin edges are therefore at 0, 0.01, 0.02, 0.03, 0.04, 0.05, 0.06, 0.07, 0.08, 0.09, 0.1, 0.15, 0.2, 0.25, 0.5.\ These are the values plotted in the right pane of Figure \ref{fig:r2-linearscale}.}
        \label{supptab:r2-by-maf-eur}
    \end{table}

    % mean r2s aggregated for common variants
    \begin{table}
        \begin{center}
            \small
            \input{tabs/mean_r2s_common.tex}
            \caption{Mean and interquartile range (in parentheses) imputation $r^2$s for each representative cohort for each experiment by superpopulation cohort at biallelic SNPs above $5\%$ minor allele frequency in the 1KGP3.}
            \label{supptab:mean-r2s-common}
        \end{center}
    \end{table}

    % pearson correlations with true scores by experiment & population
    \begin{table}
        \begin{center}
            \input{tabs/prs-corr-with-truth.tex}
            \caption{Squared Pearson correlation coefficient ($r^2$) between PRS estimates from imputed dosages vs.\ true PRS as calculated off 1KGP3 genotypes by superpopulation and trait.}
            \label{supptab:prs-corr-with-truth}
        \end{center}
    \end{table}

    % array MSEs in PRS estimates
    \begin{table}
        \begin{center}
            \input{tabs/array-score-mse.tex}
            \caption{MSE in array-based PRS estimates and the standard error of the MSE.\ The MSE is calculated by first taking the average of the squared error in PRS estimates among replicates of a given cell line and trait, and then averaging over all cell lines within a population for a given trait.}
            \label{supptab:array-score-mse}
        \end{center}
    \end{table}

    % sequence MSEs in PRS estimates
    \begin{table}
        \begin{center}
            \input{tabs/seq-score-mse.tex}
            \caption{Mean squared error (MSE) in sequence-based PRS estimates and the standard error (SE) of the MSE.\ The MSE is calculated by first taking the average of the squared error in PRS estimates among replicates of a given cell line and trait, and then averaging over all cell lines within a population for a given trait.\ MSE fold decrease is the $x$-fold decrease in MSE compared to the array counterpart.\ For instance, the MSE for experiment D's CAD PRS estimates for the AFR cohort was approximatedly four-fold the MSE of the array-based AFR CAD estimates (Supplementary Table \ref{supptab:array-score-mse}).}
            \label{supptab:seq-score-mse}
        \end{center}
    \end{table}

    % Table of significance tests for differences in mean squared errors by population,
    \begin{table}
        \begin{center}
            \begin{tabular}{cccc}
                \toprule
                Super population & Trait & Experiment & $p$ value \\
                \midrule
                EUR & CAD & A & 0.625 \\
                EUR & BRCA & A & \textbf{0.00621}\\
                EUR & CAD & B & \textbf{4.699e-08}\\
                EUR & BRCA & B & 0.936\\
                EUR & CAD & C & \textbf{0.0406}\\
                EUR & BRCA & C & \textbf{0.0352}\\
                EUR & CAD & D & \textbf{2.45e-08}\\
                EUR & BRCA & D & 0.768\\
                AFR & CAD & A & 0.308\\
                AFR & BRCA & A & 0.672\\
                AFR & CAD & B & \textbf{0.00426}\\
                AFR & BRCA & B & \textbf{0.00472}\\
                AFR & CAD & D & \textbf{6.077e-07}\\
                AFR & BRCA & D & \textbf{1.311e-05}\\
                \bottomrule
            \end{tabular}

            \caption{$P$-values from Welch two-sample $t$-tests for differences in means of the squared errors in PRS estimates between each sequence-based experiment and the corresponding squared errors in PRS estimates from the array-based estimates. Bolded values are significant at a level $\alpha = 0.05$.}
            \label{supptab:prs-mse-significance-tests}
        \end{center}
    \end{table}

    %%%%%%%%%%%%%%%%%%

    % Figures
    \section{Figures}

    % density plots of coverages
    \begin{figure}
        \begin{center}
            \includegraphics[width=\linewidth]{figs/density-mapped-coverage.pdf}
            \caption{Distribution of mapped coverages by experiment.}
            \label{suppfig:density-mapped-coverage}
        \end{center}
    \end{figure}

    \begin{figure}
        \begin{center}
            \includegraphics[width=\linewidth]{figs/density-effective-coverage.pdf}
            \caption{Distribution of effective coverages by experiment.}
            \label{suppfig:density-effective-coverage}
        \end{center}
    \end{figure}


    % effective vs mapped coverage
    \begin{figure}
        \begin{center}
        \includegraphics[width=\linewidth]{figs/mapped_vs_effcov.pdf}
        \caption{Mapped deduplicated coverage vs.\ effective coverage as described in main manuscript.}
        \label{suppfig:mapped-vs-effcov}
        \end{center}
    \end{figure}

    %% Concordance by effective coverage for various variant types
    \begin{figure}

        \includegraphics[width=\linewidth]{figs/effcov_oconc_snps.pdf}
        \caption{Overall concordance for SNPs by effective coverage for both filtered and unfiltered variant calls.}
        \label{suppfig:effcov-oconc-snps}
    \end{figure}

    \begin{figure}

        \includegraphics[width=\linewidth]{figs/effcov_nrc_indels.pdf}
        \caption{Non-reference concordance for indels by effective coverage for both filtered and unfiltered variant calls.}
        \label{suppfig:effcov-nrc-indels}
    \end{figure}

    \begin{figure}

        \includegraphics[width=\linewidth]{figs/nomcov_nrc_snps.pdf}
        \caption{Non-reference concordance for SNPs by nominal coverage for both filtered and unfiltered variant calls.}
        \label{suppfig:nomcov-nrc-snps}
    \end{figure}

    \begin{figure}

        \includegraphics[width=\linewidth]{figs/nomcov_nrc_indels.pdf}
        \caption{Non-reference concordance for indels by nominal coverage for both filtered and unfiltered variant calls.}
        \label{suppfig:nomcov-nrc-indels}
    \end{figure}

    \begin{figure}

        \includegraphics[width=\linewidth]{figs/nomcov_conc_snps.pdf}
        \caption{Overall concordance for SNPs by nominal coverage for both filtered and unfiltered variant calls.}
        \label{suppfig:nomcov-conc-snps}
    \end{figure}

    \begin{figure}

        \includegraphics[width=\linewidth]{figs/nomcov_conc_indels.pdf}
        \caption{Overall concordance for indels by nominal coverage for both filtered and unfiltered variant calls.}
        \label{suppfig:nomcov-conc-indels}
    \end{figure}

    %% filtered SNP NRC by nonreference allele frequency
    \begin{figure}

        \includegraphics[width=\linewidth]{figs/filtered_snp_nrc_by_nraf.pdf}
        \caption{Non-reference concordance for SNPs at filtered variant calls by non-reference allele frequency in the 1000 Genomes Phase 3 callset.}
        \label{suppfig:filtered-snp-nrc-by-nraf}
    \end{figure}

    % log scale unfiltered SNP NRC
    \begin{figure}
        \includegraphics[width=\linewidth]{figs/unfiltered_snp_nrc_by_nraf_logscale.pdf}
        \caption{Average non-reference concordance for unfiltered SNPs by superpopulation by non-reference allele frequency in 1KGP3.\ Same figure as Figure \ref{fig:unfiltered-snp-nrc-by-nraf} on a log scale.}
        \label{suppfig:unfiltered-snp-nrc-by-nraf-logscale}
    \end{figure}

    % Revision: chr21 results from IMPUTE5 and GLIMPSE
    \begin{figure}
        \includegraphics[width=\linewidth]{figs/revisions-chr21-nrc.pdf}
        \caption{Non-reference concordance for SNPs at unfiltered variant calls by non-reference allele frequency in the 1000 Genomes Phase 3 callset, by imputation algorithm and Experiment.}
        \label{suppfig:revisions-chr21-nrc}
    \end{figure}

    % Log scale imputation r2
    \begin{figure}
        \includegraphics[width=\linewidth]{figs/r2_logscale.pdf}
        \caption{Same as in Figure \ref{fig:r2-linearscale} but on a log scale.\ The values on the $x$-axis are the midpoints of the minor allele frequency bins.\ The bin edges are at 0, 0.01, 0.02, 0.03, 0.04, 0.05, 0.06, 0.07, 0.08, 0.09, 0.1, 0.15, 0.2, 0.25, 0.5.}
        \label{suppfig:r2-logscale}
    \end{figure}

    %% Absolute errors in PRS by effective coverage
    \begin{figure}

        \includegraphics[width=\linewidth]{figs/abserrs_prs_effcov.pdf}
        \caption{Absolute errors in polygenic risk score estimates by effective coverage.\ The dotted horizontal lines denote the mean error in PRS estimation from Illumina GSA calls across cell lines replicates.\ The shaded area about each dotted horizontal line denotes the standard error of the mean of these quantities.}
        \label{suppfig:abserrs-prs-effcov}
    \end{figure}

    \begin{figure}
        \includegraphics[width=\linewidth]{figs/prs-estimated-true-scatterplot.pdf}
        \caption{Scatterplot of estimated PRS from imputed dosages vs the true PRS for all samples across experiments, populations, and traits.\ The PRS computed off genotypes in the 1KGP3 genotypes was considered the ``truth'' value for all cell lines.}
        \label{suppfig:prs-estimated-true-scatterplot}
    \end{figure}

\end{document}